import _this from "@/main";

const getAsyncData = (method, params) => {
  // console.log('this: ', _this);
  return method({ ...params })
    .then((res) => {
      // console.log(res);
      if (res?.code === 1000) {
        // _this.$message.success("获取成功");
        return res.data;
      } else {
        _this.$message.error("获取信息失败!");
        return [];
      }
    })
    .catch((err) => {
      console.log("err: ", err);
      _this.$message.error("网络错误," + err.msg);
      return [];
    });
};

export { getAsyncData };
